Description

When using atlas in composer the standard export to pdf produces just one feature.  If I do a preview then I get another row of icons with

the preview controls including export icons which presumably are meant to export the current previewed feature.  There are just two

buttons print and image for the preview (as against 4 for the top line).  Clicking on image gives a drop down list with options to export 

Atlas for image, SVG and PDF.  Selecting PDF here exports the whole atlas.

It would appear that the controls have some how got swapped -- the ones on the top line are actually the preview ones and the ones on

the preview line are the whole atlas ones.

I posted a query on stackgis and was told by Nathan W that he could not reproduce the issue on windows.

I have included screen shot of the composer tool bar showing the layout of the icons.

History

#1 - 2014-10-25 10:08 PM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to invalid

This is expected behavior. The "export entire atlas" actions get enabled when you have an atlas set up and active (you don't have to be in preview mode).

They are also available from the "atlas" menu. The other ("normal") export actions always export just the current view, which may either be a standard

composition or a single previewed feature from the atlas.

#2 - 2014-10-25 10:22 PM - Russell Fulton

My point is that on the Mac the  "export entire atlas" option is not enabled in the top row when atlas is selected -- three separate icons and no dropdown as

shown in screenshot.  I am told that this does not happen on windows.

It is (confusingly) enabled on the buttons on the preview section on the lower tool bar.

#3 - 2014-10-26 01:58 AM - Nyall Dawson

The "export entire" actions are only shown in the atlas toolbar, which is the same toolbar that the preview actions appear in. It's not just an "atlas preview"

toolbar. But there may be a bug if the export atlas options are only enabling when the preview is active - these actions (in both the toolbar and menu) should

be enabled whenever an atlas is enabled, not only when a preview is active. Can you confirm?
#4 - 2014-10-26 01:07 PM - Russell Fulton

Put simply.  The export options in the top row of the composer export a single image.  The one on the lower bar  next to the preview controls export the

whole atlas.

If this is the intended behaviour then I found it confusing.  I thought that the lower bar was the all controls for preview but I take it this is the atlas related

stuff.

If I had used the hover at the beginning of the exercise then I would have been clear.  Also having one set with a drop down menu and the other as

individual icons is confusing as I knew I wanted a pdf not an image so I kept trying to use the pdf button on the top.

It was not until I decided to try exporting as a real image to see if that worked that I tried the button on the lower bar and discovered the drop down menu.

#5 - 2014-10-26 01:29 PM - Nyall Dawson

Probably a second set of icons should be drawn to differentiate these two options. The atlas export icons could include the atlas icon to clarify.

#6 - 2014-10-26 02:47 PM - Russell Fulton

That would be great!  Or even just have both in the same format (ie one icon and the drop down).

Thanks for your patience :)
